MatrixType (JavaFX 27)
Description: declaration: module: javafx.graphics, package: javafx.scene.transform, enum: MatrixType

# Enum Class MatrixType

java.lang.Object
java.lang.Enum<MatrixType>
javafx.scene.transform.MatrixType

All Implemented Interfaces:
  `Serializable, Comparable<MatrixType>, Constable`

public enum MatrixType extends Enum<MatrixType>
Specifies type of transformation matrix.

Since:
  JavaFX 8.0

- ## Nested Class Summary

  ### Nested classes/interfaces declared in class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `MT_2D_2x3`
  A 2D affine transformation matrix of 2 rows and 3 columns.
  `MT_2D_3x3`
  A 2D transformation matrix of 3 rows and 3 columns.
  `MT_3D_3x4`
  A 3D affine transformation matrix of 3 rows and 4 columns.
  `MT_3D_4x4`
  A 3D transformation matrix of 4 rows and 4 columns.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `columns()`
  Returns the number of columns in the matrix of this type.
  `int`
  `elements()`
  Returns the number of elements in the matrix of this type.
  `boolean`
  `is2D()`
  Specifies if this is a 2D transformation matrix
  `int`
  `rows()`
  Returns the number of rows in the matrix of this type.
  `static MatrixType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static MatrixType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods declared in class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods declared in class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### MT_2D_2x3

    public static final MatrixType MT_2D_2x3
    A 2D affine transformation matrix of 2 rows and 3 columns. Contains the following values:

        mxx, mxy, tx,
        myx, myy, ty

  - ### MT_2D_3x3

    public static final MatrixType MT_2D_3x3
    A 2D transformation matrix of 3 rows and 3 columns. For affine transforms the last line is constant, so the matrix contains the following values:

        mxx, mxy, tx,
        myx, myy, ty,
          0,   0,  1

  - ### MT_3D_3x4

    public static final MatrixType MT_3D_3x4
    A 3D affine transformation matrix of 3 rows and 4 columns. Contains the following values:

        mxx, mxy, mxz, tx,
        myx, myy, myz, ty,
        mzx, mzy, mzz, tz

  - ### MT_3D_4x4

    public static final MatrixType MT_3D_4x4
    A 3D transformation matrix of 4 rows and 4 columns. For affine transforms the last line is constant, so the matrix contains the following values:

        mxx, mxy, mxz, tx,
        myx, myy, myz, ty,
        mzx, mzy, mzz, tz,
          0,   0,   0,  1

- ## Method Details

  - ### values

    public static MatrixType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static MatrixType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### elements

    public int elements()
    Returns the number of elements in the matrix of this type.
    Returns:
      the number of elements in the matrix of this type

  - ### rows

    public int rows()
    Returns the number of rows in the matrix of this type.
    Returns:
      the number of rows in the matrix of this type

  - ### columns

    public int columns()
    Returns the number of columns in the matrix of this type.
    Returns:
      the number of columns in the matrix of this type

  - ### is2D

    public boolean is2D()
    Specifies if this is a 2D transformation matrix
    Returns:
      true if this is a 2D transformation matrix, false if this is a 3D transformation matrix